#
# spec file for package findutils
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           findutils
Url:            http://www.gnu.org/software/findutils/
Version:        4.5.10
Release:        0
Summary:        The GNU versions of find utilities (find and xargs)
License:        GPL-3.0+
Group:          Productivity/File utilities
Source:         http://alpha.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Source1:        sysconfig.locate
Source2:        cron.daily.updatedb
# Use /proc/mounts instead of /etc/mtab as autofs entries are only
# listed in the kernels >= 2.6.32
Patch0:         findutils-4.5.10-use_proc_mounts.patch
# adds a new option -xautofs to find to not descend into directories on autofs file systems
Patch1:         findutils-4.4.2-xautofs.patch
Patch2:         findutils-4.4.2-updatedb.patch
Patch3:         findutils-4.5.10-prune_unknown.patch
Patch4:         findutils-4.5.10-updatedb_ignore_nfsv4.patch
Patch6:         findutils-stdio.in.patch
Patch7:         findutils-init_stat_buf.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} > 1100
BuildRequires:  libselinux-devel
%endif
Provides:       find = %{version}
Obsoletes:      find < %{version}
Requires(post):  %{install_info_prereq}
Requires(preun): %{install_info_prereq}

%description
The findutils package contains programs which will help you locate
files on your system.  The find utility searches through a hierarchy
of directories looking for files which match a certain set of criteria
(such as a file name pattern).  The xargs utility builds and executes
command lines from standard input arguments (usually lists of file
names generated by the find command).

You should install findutils because it includes tools that are very
useful for finding things on your system.


%lang_package
%package locate
Summary:        Tool for Locating Files (findutils subpackage)
Group:          Productivity/File utilities
Provides:       findutils:/usr/bin/locate
PreReq:         %{fillup_prereq}
Requires:       cron
Requires:       findutils = %{version}

%description locate
This package contains the locate program which is part of the GNU
findutils software suite.

You can find files fast using locate.  On installing findutils-locate
an additional daily cron job will be added to the cron system. This
job will update the files database every night or shortly after
switching on the computer.

%prep
%setup -q
%patch0
%patch1 -p1
%patch2
%patch3
%patch4
%patch6 -p1
%patch7

%build
%ifarch %arm armv5tel armv7l armv7el armv5el
# this is a workaround for a qemu-user bug, we hit. A qemu patch is being discussed, but for now ...
export DEFAULT_ARG_SIZE="(31u * 1024u)"
%endif
%configure \
  --libexecdir=%{_libdir}/find \
  --localstatedir=/var/lib \
  --without-included-regex \
  --enable-d_type-optimisation
make %{?_smp_mflags}

%check
make check

%install
%make_install
install -D -m 644 %{SOURCE1} %{buildroot}/var/adm/fillup-templates/sysconfig.locate
install -D -m 755 %{SOURCE2} %{buildroot}/etc/cron.daily/suse-updatedb
rm -f %{buildroot}%{_bindir}/oldfind
rm -f %{buildroot}%{_bindir}/ftsfind
rm -f %{buildroot}%{_infodir}/find-maint*
%find_lang %{name}
#UsrMerge
mkdir -p %{buildroot}/bin
ln -sf %{_bindir}/find %{buildroot}/bin
#UsrMerge

%post locate
%{fillup_only -n locate}

%post
%install_info --info-dir=%{_infodir} %{_infodir}/find.info.gz

%preun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/find.info.gz

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README THANKS TODO
#UsrMerge
/bin/find
#UsrMerge
%{_bindir}/find
%{_bindir}/xargs
%doc %{_infodir}/find.info*.gz
%doc %{_mandir}/man1/find.1.gz
%doc %{_mandir}/man1/xargs.1.gz

%files lang -f %{name}.lang
%defattr(-,root,root,-)

%files locate
%defattr(-,root,root,-)
/etc/cron.daily/*
%{_bindir}/locate
%{_bindir}/updatedb
%{_libdir}/find
%doc %{_mandir}/man1/locate.1.gz
%doc %{_mandir}/man1/updatedb.1.gz
%doc %{_mandir}/man5/locatedb.5.gz
/var/adm/fillup-templates/*

%changelog
